import pytest

from rescriptoon._actions import EngineAction

# pylint: disable=protected-access


@pytest.mark.parametrize(
    ("target_engine_index", "engine_label"),
    [(None, "all engines"), (0, "engine #0"), (1, "engine #1"),],
)
def test__engine_label(target_engine_index, engine_label):
    action = EngineAction(target_engine_index=target_engine_index)
    assert action._engine_label == engine_label
