import pytest

from rescriptoon._actions import LowThrowAction


@pytest.mark.parametrize(
    ("target_engine_index", "description"),
    [
        (None, "low throw @ all engines"),
        (0, "low throw @ engine #0"),
        (1, "low throw @ engine #1"),
    ],
)
def test_description(target_engine_index, description):
    action = LowThrowAction(target_engine_index=target_engine_index)
    assert action.description == description
